Firefox < 1.5.0.3 iframe.contentWindow.focus() Overflow

This script is Copyright (C) 2006-2017 Tenable Network Security, Inc.


Synopsis :

A web browser on the remote host may be prone to a denial of service
attack.

Description :

The installed version of Firefox may allow a malicious site to crash
the browser and potentially to run malicious code when attempting to
use a deleted controller context.

Successful exploitation requires that 'designMode' be turned on.

See also :

http://www.securityfocus.com/archive/1/archive/1/431878/100/0/threaded
https://www.mozilla.org/en-US/security/advisories/mfsa2006-30/

Solution :

Upgrade to Firefox 1.5.0.3 or later.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 4.0
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 21322 ()

Bugtraq ID: 17671

CVE ID: CVE-2006-1993

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now